<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html">

    <body>

        <ui:component>

            <p:dialog
                id="adscripcionesDeletetId"
                header="Confirma la operación a realizar a la Adscripción"
                widgetVar="adscripcionesDelete"
                modal="true"
                closable="false"
                resizable="false"                
                draggable="false" >

                <h:panelGroup id="detalle4Adscripciones">
                   
                    <h:form>
                        <h:panelGrid columns="2" columnClasses="centered,centered3">
                            <p:column>
                                <h:outputLabel for="clave" value="#{translatedMessage['restricted.catalogogenerico.adscripcion.clave']}: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                            <h:outputLabel id="clave" value="#{rhNomnAdscripcionesMB.rhNomnAdscripcionesSelected.claveAdscripcion}"/>
                             </p:column>
                            <p:column>
                            <h:outputLabel for="descripcion" value="#{translatedMessage['restricted.catalogogenerico.adscripcion.descripcion']}: " style="font-weight: bold"/>
                             </p:column>
                            <p:column>
                            <h:outputLabel id="descripcion" value="#{rhNomnAdscripcionesMB.rhNomnAdscripcionesSelected.descripcion}"/>
                             </p:column>
                            <p:column>
                            <p:outputLabel for="claveUniAdmFk" value="#{translatedMessage['restricted.catalogogenerico.adscripcion.unidadClave']}: " style="font-weight: bold" />
                             </p:column>
                            <p:column>
                            <h:outputLabel id="claveUniAdmFk" value="#{rhNomnAdscripcionesMB.rhNomnAdscripcionesSelected.detalleunidadAdm.cveDescripcion}"/>
                             </p:column>
                            
                        </h:panelGrid>

                        <br/>
                        <div align="right">
                        <p:commandButton
                            update=":detalle4Adscripciones"
                            value="Activar"
                            style="font-size: small"
                            oncomplete="redirect(xhr, status, args, 'AdscripcionesList.jsf');"
                            rendered="#{rhNomnAdscripcionesMB.rhNomnAdscripcionesSelected.estatus eq 'I'}"
                            actionListener="#{rhNomnAdscripcionesMB.activar}" >                          
                       </p:commandButton>
                       
                        <p:commandButton
                            update=":detalle4Adscripciones"
                            value="Desactivar"
                            style="font-size: small"
                            rendered="#{rhNomnAdscripcionesMB.rhNomnAdscripcionesSelected.estatus eq 'A'}"
                            oncomplete="redirect(xhr, status, args, 'AdscripcionesList.jsf');"
                            actionListener="#{rhNomnAdscripcionesMB.inactivar}" >                          
                        </p:commandButton>                       
                       
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            style="font-size: small"
                            onclick="location = 'AdscripcionesList.jsf';">
                        </p:commandButton>
                        </div>
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>

    </body>
</html>
